<a href="#" style="text-decoration: none">
    <i class="fa fa-trash" data-toggle="modal" data-target="#deleteRevoke-{{ sale_id }}"></i>
</a>

<!-- Modal -->
<div class="modal fade" id="deleteRevoke-{{ sale_id }}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Вы уверены?</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        Вы точно хотите удалить Возврат {{ abonement_name }}?
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Нет</button>
        <button type="button" id="deleteRevokeBtn-{{ cashbox_id }}" class="btn btn-primary">Да</button>
      </div>
    </div>
  </div>
</div>


<script>
function getCookie(name) {
    var cookieValue = null;
    if (document.cookie && document.cookie !== '') {
        var cookies = document.cookie.split(';');
        for (var i = 0; i < cookies.length; i++) {
            var cookie = jQuery.trim(cookies[i]);
            // Does this cookie string begin with the name we want?
            if (cookie.substring(0, name.length + 1) === (name + '=')) {
                cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                break;
            }
        }
    }
    return cookieValue;
}
var csrftoken = getCookie('csrftoken');

$.ajaxSetup({
    beforeSend: function(xhr, settings) {
        if (!csrfSafeMethod(settings.type) && !this.crossDomain) {
            xhr.setRequestHeader("X-CSRFToken", csrftoken);
        }
    }
});

function hideRevoke(cashboxId){
    $.ajax({
        url: `${window.location.protocol}//${window.location.hostname}:${window.location.port}/ajax/sales/delete_revoke/`,
        type: 'post',
        data: {
            cashbox_id: cashboxId
        }
    }).done(function (data) {
        location.reload()
    })
}

    $(document).ready(function () {
        $('#deleteRevokeBtn-{{ cashbox_id }}').click(function () {
            hideRevoke('{{ cashbox_id }}')
        })
    })
</script>